//
//  SLFriendsModel.m
//  SLAiELTS
//
//  Created by Gusont on 2023/4/12.
//

#import "SLFriendsModel.h"

@interface SLFriendsModel()

@property (nonatomic, copy) NSString *head;

@property (nonatomic, copy) NSString *name;

@end

@implementation SLFriendsModel

+ (NSDictionary *)mj_replacedKeyFromPropertyName {
   return @{
            @"friendId" : @"id",
   };
}

- (void)setHead:(NSString *)head {
    _head = head;
    _userHead = head;
}

- (void)setName:(NSString *)name {
    _name = name;
    _userName = name;
}

- (void)setFriendId:(NSString *)friendId {
    _friendId = friendId;
    _contactsId = _friendId;
}

- (NSString *)getUserHeadUrl {
    NSString *userImg = [NSString stringWithFormat:@"%@%@",[SLHttpCenter SharedInstance].serverUrl, self.userHead];
    return userImg;
}

@end
